
<?php

function makegraph($graph_data,$graph_names,$terme, $idterme){
 
$pi = 3.1416926535;
 $posX=-550;
 $posY=260;
$old=0;
$graph_title = 'Titre de mon diagramme';
//$graph_data = array(24,35,12,94,34,125,45,56,44,87);
//$graph_names = array('pommes','poires','bananes','scoubidous','cerises','kiwis','potirons','comcombres','malabars','hobbits');
$graph_colors = array('#f00','#f50','#fa0','#ff0','#af0','#0ff','#0af','#05f','#a0f','#f0f');
//$pi = 3.1416926535;

$total = 0;
foreach ($graph_data as $d)
	$total += $d;

// we fill the $graph_angles array
$graph_angles = array();
foreach ($graph_data as $d)
	$graph_angles[] = ($d / $total) * 2 * $pi;



 echo"<g id=\"infoTerme".$idterme."\">";
 // echo"<rect x=\"-420\" y=\"300\" width=\"300\" height=\"280\" style=\"fill:white;stroke:black;stroke-width:3\"/>";


echo"<g transform=\"translate(".$posX." ".$posY.") scale(0.8 0.8)\">";
echo"<circle r=\"100\" style=\"fill:black;fill-opacity:.2;\"/>
	<g filter=\"url(#shadow)\">";
	
		for ($i=0;$i < sizeof($graph_data); $i++) {
			echo "<path d=\"M 0 0 l +100 0 A 100 100 0 ";
			if ($graph_angles[$i]>$pi) {
				// without this 'if', we would end up with big pieces of cake being concave
				echo "1 1";
				} else {
				echo "0 1";
				}
		echo " ". round(100*cos($graph_angles[$i]))." ". round(100*sin($graph_angles[$i]))." Z\" ";
		echo "style=\"fill:".$graph_colors[$i].";fill-opacity:.7\" ";
		echo "transform=\"translate(".round(6*cos($old+($graph_angles[$i]/2)))." ".round(6*sin($old+($graph_angles[$i]/2))).") rotate(".round($old/$pi*180).")\"/>";
	$old+=$graph_angles[$i];
			}

			

echo"	</g>

	<g filter=\"url(#shadow)\">";
	
$old=0;
		for ($i=0;$i < sizeof($graph_data); $i++) {
			echo '
			<g transform="translate('.round(80*cos($old+($graph_angles[$i]/2))).' '.round(80*sin($old+($graph_angles[$i]/2))).')">
				<rect x="-15" y="-11" width="30" height="13" style="fill:white;fill-opacity:.5;" />
				<text style="font-weight:bold;text-anchor: middle;">'.round($graph_angles[$i]/.02/$pi).'%</text>
			</g>';
$old+=$graph_angles[$i];		
	}

echo"</g>";
echo"</g>";
	
// we end up drawing the legend
for ($i=0;$i < sizeof($graph_data); $i++) {
  if($i<=5){	
echo '
	<path d="M -460 '.intval(200+$i*15).' l 12 0 a 12 12 0 0 0 -12 -12 Z" style="fill:'.$graph_colors[$i].';fill-opacity:.8" filter="url(#shadow)"/>
	<text x="-430" y="'.intval(200+$i*15).'">'.$graph_names[$i].'</text>
	';
  }
  else{
echo '
	<path d="M -370 '.intval(200+($i%5)*15).' l 12 0 a 12 12 0 0 0 -12 -12 Z" style="fill:'.$graph_colors[$i].';fill-opacity:.8" filter="url(#shadow)"/>
	<text x="210" y="'.intval(200+($i%5)*15).'">'.$graph_names[$i].'</text>
	';
  }
	}

  echo"<animateTransform attributeName=\"transform\" type=\"translate\" from=\"-410\" to=\"700\" begin=\"camterme".$idterme.".mouseover\" dur=\"1s\"  fill=\"freeze\" />";
echo"<animateTransform type=\"visibility\" from=\"hidden\" to=\"visible\" begin=\"camterme".$idterme.".mouseover\" dur=\"1s\"  fill=\"freeze\" />";
echo"<animateTransform type=\"visibility\" from=\"visible\" to=\"hidden\" begin=\"camterme".$idterme.".mouseover\" dur=\"1s\"  fill=\"freeze\" />";
 echo"<animateTransform attributeName=\"transform\" type=\"translate\" from=\"300\" to=\"-710\" begin=\"camterme".$idterme.".mouseout\" dur=\"1s\"  fill=\"freeze\" />";
echo"<animateTransform type=\"visibility\" from=\"visible\" to=\"hidden\" begin=\"0s\" dur=\"1s\"  fill=\"freeze\" />";
echo"</g>";
}
	


?>